Create Memory Relation
Create or update a semantic relation from one memory to another.
Path Parameters
memory_id*Memory Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/memories/string/relations" \ -H "Content-Type: application/json" \ -d '{ "relation_type": "string", "target_memory_id": "string" }'{ "agent_id": "string", "author_id": "string", "bidirectional": false, "confidence": 0, "created_at": null, "direction": "string", "id": "string", "properties": {}, "reason": "string", "relation_type": "string", "reviewed": true, "source": "string", "source_app": "string", "source_memory_id": "string", "source_space_id": "string", "source_title": "", "status": "active", "strength": 0, "target_memory_id": "string", "target_space_id": "string", "target_title": "", "updated_at": null}